| optoICC

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | Static Protected Attributes | List of all members
optoICC.registers.icc_registers.InertialMeasurementUnit Class Reference

Parent class => FeedbackSystem
More...

Inheritance diagram for optoICC.registers.icc_registers.InertialMeasurementUnit:

## Public Member Functions
| __init__ (self, board=None)
| get_value (self, channel)
| get_value_id (self, channel)
| is_init_done (self)
| get_accel_x (self)
| get_accel_y (self)
| get_accel_z (self)
| get_gyro_x (self)
| get_gyro_y (self)
| get_gyro_z (self)
| get_accel_resolution (self)
| get_gyro_resolution (self)
| get_accel_run (self)
| get_gyro_run (self)
| get_dlpf (self)
| get_init_done (self)
| set_callback_prescaler (self, prescaler=20)
| set_accel_resolution (self, resolution=0)
| set_gyro_resolution (self, resolution=0)
| set_dlpf (self, value=0)
| is_init_done (self)
| init (self)
| start_accel_readout (self)
| stop_accel_readout (self)
| start_gyro_readout (self)
| stop_gyro_readout (self)
| get_accel (self)
| get_gyro (self)

## Static Public Member Functions
| help ()

## Public Attributes
| sys_id
| accel_run
| accel_x
| accel_y
| accel_z
| gyro_run
| gyro_x
| gyro_y
| gyro_z
| callback_prescaler
| accel_resolution
| gyro_resolution
| dlpf
| init_imu
| init_done
| accel_vec
| gyro_vec
| name

## Static Protected Attributes
bool | _is_a_system = True

## Detailed Description

Parent class => FeedbackSystem

    Device Functionality - Inertial Measurement Unit
    System ID: 0x37

    * Inertial Measurement Unit system ID: <b>0x37</b>
    *
    * The inertial measurement unit system provides information about the actual
    * acceleration in X,Y,Z direction of actuator and angular rate around these axis.
    * It also includes the parameter registers for setup of the IMU.
    *
    * ### Register Map:
    *
    *  | Address | Name             | Default Value | Description                                           |  Type  | Access     |
    *  |---------|---------------------|---------------|-------------------------------------------------------|--------|------------|
    *  | 0x3700  | RUN_ACCEL            | false         | Enable/Disable accelerometer readout callback         | boolean| read write |
    *  | 0x3701  | ACCEL_X              | N/A           | Accelerometer value in X direction [m/s/s]            | float  | read only  |
    *  | 0x3702  | ACCEL_Y              | N/A           | Accelerometer value in Y direction [m/s/s]            | float  | read only  |
    *  | 0x3703  | ACCEL_Z              | N/A           | Accelerometer value in Z direction [m/s/s]            | float  | read only  |
    *  | 0x3704  | RUN_GYRO             | false         | Enable/Disable Gyroscope readout callback             | boolean| read write |
    *  | 0x3705  | GYRO_X               | N/A           | Gyroscope value in X direction [deg/s]                | float  | read only  |
    *  | 0x3706  | GYRO_Y               | N/A           | Gyroscope value in Y direction [deg/s]                | float  | read only  |
    *  | 0x3707  | GYRO_Z               | N/A           | Gyroscope value in Z direction [deg/s]                | float  | read only  |
    *  | 0x3708  | CALLBACK_PRESCALER  | 20            | System timer callback prescaler                        | uint16 | read write |
    *  | 0x3709  | ACCEL_RESOLUTION     | 0             | Resolution of accelerometer [0=2g, 1=4g, 2=8g, 3=16g] | uint8_t| read write |
    *  | 0x370A  | GYRO_RESOLUTION     | 0              | Resolution of gyroscope [0=250, 1=500, 2=1000, 3=2000]| uint8_t| read write |
    *  | 0x370B  | DLPF                 | 0             | Digital low pass filter for gyro. and accelerometer   | uint8_t| read write |
    *  | 0x370C  | INIT                 | N/A           | Writes configuration from registers into IMU          | uint8  | write      |
    *  | 0x370D  | INIT_DONE            | false         | If init was successful, then ==true                   | uint8  | read only  |
    *  |---------|---------------------|---------------|-------------------------------------------------------|--------|------------|
    *
    * ### Vector Map:
    *
    * | Address | Name             | Default  | Description                     | Format and value | Access     |
    * |---------|------------------|----------|--------------------------------|------------------|------------|
    * | 0x3700  | ACCEL_VALUES      |   N/A    | {X,Y,Z}, 3 * float (12 bytes)  | float            | read only  |
    * | 0x3701  | GYRO_VALUES       |   N/A    | {X,Y,Z}, 3 * float (12 bytes)  | float            | read only  |
    *
    */

## Constructor & Destructor Documentation

## ◆ __init__()

optoICC.registers.icc_registers.InertialMeasurementUnit.__init__ | ( |  | self,
|  |  | board = `None`
| ) |  |

## Member Function Documentation

## ◆ help()

optoICC.registers.icc_registers.InertialMeasurementUnit.help | ( |  | ) |
| static

## ◆ get_value()

optoICC.registers.icc_registers.InertialMeasurementUnit.get_value | ( |  | self,
|  |  | channel
| ) |  |

## ◆ get_value_id()

optoICC.registers.icc_registers.InertialMeasurementUnit.get_value_id | ( |  | self,
|  |  | channel
| ) |  |

## ◆ is_init_done() [1/2]

optoICC.registers.icc_registers.InertialMeasurementUnit.is_init_done | ( |  | self | ) |

## ◆ get_accel_x()

optoICC.registers.icc_registers.InertialMeasurementUnit.get_accel_x | ( |  | self | ) |

## ◆ get_accel_y()

optoICC.registers.icc_registers.InertialMeasurementUnit.get_accel_y | ( |  | self | ) |

## ◆ get_accel_z()

optoICC.registers.icc_registers.InertialMeasurementUnit.get_accel_z | ( |  | self | ) |

## ◆ get_gyro_x()

optoICC.registers.icc_registers.InertialMeasurementUnit.get_gyro_x | ( |  | self | ) |

## ◆ get_gyro_y()

optoICC.registers.icc_registers.InertialMeasurementUnit.get_gyro_y | ( |  | self | ) |

## ◆ get_gyro_z()

optoICC.registers.icc_registers.InertialMeasurementUnit.get_gyro_z | ( |  | self | ) |

## ◆ get_accel_resolution()

optoICC.registers.icc_registers.InertialMeasurementUnit.get_accel_resolution | ( |  | self | ) |

## ◆ get_gyro_resolution()

optoICC.registers.icc_registers.InertialMeasurementUnit.get_gyro_resolution | ( |  | self | ) |

## ◆ get_accel_run()

optoICC.registers.icc_registers.InertialMeasurementUnit.get_accel_run | ( |  | self | ) |

## ◆ get_gyro_run()

optoICC.registers.icc_registers.InertialMeasurementUnit.get_gyro_run | ( |  | self | ) |

## ◆ get_dlpf()

optoICC.registers.icc_registers.InertialMeasurementUnit.get_dlpf | ( |  | self | ) |

## ◆ get_init_done()

optoICC.registers.icc_registers.InertialMeasurementUnit.get_init_done | ( |  | self | ) |

## ◆ set_callback_prescaler()

optoICC.registers.icc_registers.InertialMeasurementUnit.set_callback_prescaler | ( |  | self,
|  |  | prescaler = `20`
| ) |  |

## ◆ set_accel_resolution()

optoICC.registers.icc_registers.InertialMeasurementUnit.set_accel_resolution | ( |  | self,
|  |  | resolution = `0`
| ) |  |

## ◆ set_gyro_resolution()

optoICC.registers.icc_registers.InertialMeasurementUnit.set_gyro_resolution | ( |  | self,
|  |  | resolution = `0`
| ) |  |

## ◆ set_dlpf()

optoICC.registers.icc_registers.InertialMeasurementUnit.set_dlpf | ( |  | self,
|  |  | value = `0`
| ) |  |

## ◆ is_init_done() [2/2]

optoICC.registers.icc_registers.InertialMeasurementUnit.is_init_done | ( |  | self | ) |

## ◆ init()

optoICC.registers.icc_registers.InertialMeasurementUnit.init | ( |  | self | ) |

## ◆ start_accel_readout()

optoICC.registers.icc_registers.InertialMeasurementUnit.start_accel_readout | ( |  | self | ) |

## ◆ stop_accel_readout()

optoICC.registers.icc_registers.InertialMeasurementUnit.stop_accel_readout | ( |  | self | ) |

## ◆ start_gyro_readout()

optoICC.registers.icc_registers.InertialMeasurementUnit.start_gyro_readout | ( |  | self | ) |

## ◆ stop_gyro_readout()

optoICC.registers.icc_registers.InertialMeasurementUnit.stop_gyro_readout | ( |  | self | ) |

## ◆ get_accel()

optoICC.registers.icc_registers.InertialMeasurementUnit.get_accel | ( |  | self | ) |

## ◆ get_gyro()

optoICC.registers.icc_registers.InertialMeasurementUnit.get_gyro | ( |  | self | ) |

## Member Data Documentation

## ◆ _is_a_system

bool optoICC.registers.icc_registers.InertialMeasurementUnit._is_a_system = True
| static protected

## ◆ sys_id

optoICC.registers.icc_registers.InertialMeasurementUnit.sys_id

## ◆ accel_run

optoICC.registers.icc_registers.InertialMeasurementUnit.accel_run

## ◆ accel_x

optoICC.registers.icc_registers.InertialMeasurementUnit.accel_x

## ◆ accel_y

optoICC.registers.icc_registers.InertialMeasurementUnit.accel_y

## ◆ accel_z

optoICC.registers.icc_registers.InertialMeasurementUnit.accel_z

## ◆ gyro_run

optoICC.registers.icc_registers.InertialMeasurementUnit.gyro_run

## ◆ gyro_x

optoICC.registers.icc_registers.InertialMeasurementUnit.gyro_x

## ◆ gyro_y

optoICC.registers.icc_registers.InertialMeasurementUnit.gyro_y

## ◆ gyro_z

optoICC.registers.icc_registers.InertialMeasurementUnit.gyro_z

## ◆ callback_prescaler

optoICC.registers.icc_registers.InertialMeasurementUnit.callback_prescaler

## ◆ accel_resolution

optoICC.registers.icc_registers.InertialMeasurementUnit.accel_resolution

## ◆ gyro_resolution

optoICC.registers.icc_registers.InertialMeasurementUnit.gyro_resolution

## ◆ dlpf

optoICC.registers.icc_registers.InertialMeasurementUnit.dlpf

## ◆ init_imu

optoICC.registers.icc_registers.InertialMeasurementUnit.init_imu

## ◆ init_done

optoICC.registers.icc_registers.InertialMeasurementUnit.init_done

## ◆ accel_vec

optoICC.registers.icc_registers.InertialMeasurementUnit.accel_vec

## ◆ gyro_vec

optoICC.registers.icc_registers.InertialMeasurementUnit.gyro_vec

## ◆ name

optoICC.registers.icc_registers.InertialMeasurementUnit.name